[Testing Update] 2018-02-15 - Kernels, Firefox Dev, Bluez, Haskell, Python

update
testing

#1

Hi community,

this is more a smaller update to complete our last testing update we had published on the 14th of February:

  • We updated Firefox Development Editon
  • Fixed some issue with Bluetooth headsets in bluez
  • Had some Haskell and Python updates/rebuilds
  • Published some kernel updates (v3.16)

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.54
  • linux318 3.18.94 [EOL]
  • linux41 4.1.49
  • linux44 4.4.115
  • linux49 4.9.81
  • linux414 4.14.19
  • linux415 4.15.3
  • linux-RT-LTS 4.14.18_rt15
  • linux-RT 4.14.18_rt15

Package Updates (Thu Feb 15 05:31:34 CET 2018)

  • testing community x86_64: 251 new and 241 removed package(s)
  • testing core x86_64: 6 new and 6 removed package(s)
  • testing extra x86_64: 60 new and 60 removed package(s)
:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-14           2018-02-15
-------------------------------------------------------------------------------
                           aqbanking             5.6.12-2              5.7.8-1
                               audit              2.7.6-2              2.8.2-1
                              augeas             1.10.0-1             1.10.1-1
                             aws-cli            1.14.37-1            1.14.38-1
                                c2hs             0.28.3-5             0.28.3-6
                               cgrep            6.6.22-17            6.6.22-19
                             cryptol             2.5.0-20             2.5.0-22
                              danmaq              0.2.2-1              0.2.3-1
                                dfmt              0.5.3-1              0.6.0-1
                              facter              3.9.4-1              3.9.5-1
                               fcitx            4.2.9.5-1            4.2.9.6-1
                          fcitx-gtk2            4.2.9.5-1            4.2.9.6-1
                          fcitx-gtk3            4.2.9.5-1            4.2.9.6-1
                           fcitx-qt4            4.2.9.5-1            4.2.9.6-1
           firefox-developer-edition             59.0b8-1             59.0b9-1
  firefox-developer-edition-i18n-ach             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-af             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-an             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ar             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-as             59.0b8-1             59.0b9-1
  firefox-developer-edition-i18n-ast             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-az             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-be             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-bg             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-bn-bd             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-bn-in             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-br             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-bs             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ca             59.0b8-1             59.0b9-1
  firefox-developer-edition-i18n-cak             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-cs             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-cy             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-da             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-de             59.0b8-1             59.0b9-1
  firefox-developer-edition-i18n-dsb             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-el             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-en-gb             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-en-us             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-en-za             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-eo             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-es-ar             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-es-cl             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-es-es             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-es-mx             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-et             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-eu             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-fa             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ff             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-fi             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-fr             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-fy-nl             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-ga-ie             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-gd             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-gl             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-gn             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-gu-in             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-he             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-hi-in             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-hr             59.0b8-1             59.0b9-1
  firefox-developer-edition-i18n-hsb             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-hu             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-hy-am             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ia             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-id             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-is             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-it             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ja             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ka             59.0b8-1             59.0b9-1
  firefox-developer-edition-i18n-kab             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-kk             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-km             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-kn             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ko             59.0b8-1             59.0b9-1
  firefox-developer-edition-i18n-lij             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-lt             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-lv             59.0b8-1             59.0b9-1
  firefox-developer-edition-i18n-mai             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-mk             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ml             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-mr             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ms             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-my             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-nb-no             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-ne-np             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-nl             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-nn-no             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-or             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-pa-in             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-pl             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-pt-br             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-pt-pt             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-rm             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ro             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ru             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-si             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-sk             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-sl             59.0b8-1             59.0b9-1
  firefox-developer-edition-i18n-son             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-sq             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-sr             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-sv-se             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ta             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-te             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-th             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-tr             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-uk             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-ur             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-uz             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-vi             59.0b8-1             59.0b9-1
   firefox-developer-edition-i18n-xh             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-zh-cn             59.0b8-1             59.0b9-1
firefox-developer-edition-i18n-zh-tw             59.0b8-1             59.0b9-1
                           git-annex        6.20180112-63        6.20180112-66
                          gtk2+extra              3.3.3-1              3.3.4-1
                               guake              3.0.4-1              3.0.4-2
                 haskell-adjunctions                4.4-6                4.4-7
                    haskell-aeson-qq             0.8.2-13             0.8.2-14
                         haskell-aws              0.18-42               0.19-1
                  haskell-bifunctors              5.5.2-3              5.5.2-4
                       haskell-brick              0.33-10              0.33-11
               haskell-cabal-doctest              1.0.5-1              1.0.6-1
                    haskell-checkers           0.4.9.5-10           0.4.9.5-11
                     haskell-comonad              5.0.3-1              5.0.3-2
                     haskell-concise           0.1.0.0-18            0.1.0.1-2
         haskell-conduit-combinators             1.1.2-25             1.1.2-26
                  haskell-config-ini            0.2.2.0-7            0.2.2.0-8
                         haskell-dav              1.3.2-4              1.3.2-5
                 haskell-descriptive             0.9.4-81             0.9.4-82
                      haskell-either                 5-16                 5-18
                   haskell-esqueleto             2.5.3-58             2.5.3-60
                    haskell-fclabels            2.0.3.2-5            2.0.3.3-1
                       haskell-foldl             1.3.5-12             1.3.5-13
                        haskell-free            4.12.4-50            4.12.4-51
                      haskell-gnuidn             0.2.2-13             0.2.2-14
                       haskell-hasql             1.1.1-25             1.1.1-27
                  haskell-hasql-pool             0.4.3-25             0.4.3-27
           haskell-hasql-transaction             0.5.2-25             0.5.2-27
                    haskell-hedgehog              0.5.2-1              0.5.2-2
                        haskell-here             1.2.12-9            1.2.12-10
                 haskell-hjsonschema             1.7.2-18             1.7.2-19
                    haskell-hopenpgp            2.5.5-164            2.5.5-165
                       haskell-hpack            0.21.2-28            0.21.2-30
              haskell-hspec-wai-json             0.9.0-26             0.9.0-27
               haskell-http-api-data            0.3.7.2-5            0.3.7.2-6
          haskell-incremental-parser            0.2.5.3-7            0.2.5.3-8
   haskell-insert-ordered-containers           0.2.1.0-54           0.2.1.0-55
                 haskell-interpolate              0.1.1-9             0.1.1-10
    haskell-interpolatedstring-perl6             1.0.0-35             1.0.0-36
                        haskell-jose           0.6.0.3-31           0.6.0.3-33
              haskell-kan-extensions                5.1-8                5.1-9
                        haskell-keys               3.12-7               3.12-8
                        haskell-lens            4.15.4-21            4.15.4-22
                  haskell-lens-aeson             1.0.2-35             1.0.2-36
                haskell-lifted-async            0.9.3.3-4            0.9.3.3-5
                     haskell-managed              1.0.5-5              1.0.6-1
            haskell-mono-traversable            1.0.8.1-7            1.0.8.1-8
       haskell-network-protocol-xmpp             0.4.8-17             0.4.8-18
               haskell-optional-args              1.0.1-5              1.0.2-1
                  haskell-persistent           2.7.3.1-11           2.7.3.1-13
           haskell-persistent-sqlite             2.6.4-36             2.6.4-38
         haskell-persistent-template           2.5.3.1-10           2.5.3.1-12
                     haskell-pointed              5.0.1-9             5.0.1-10
                 haskell-profunctors              5.2.2-6              5.2.2-7
                      haskell-rebase             1.2.3-12             1.2.3-14
                    haskell-reducers            3.12.2-14            3.12.2-15
                    haskell-rerebase             1.2.1-20             1.2.1-22
                       haskell-retry            0.7.6.0-4            0.7.6.0-5
                         haskell-sbv                7.5-7                7.5-9
               haskell-semigroupoids              5.2.2-8              5.2.2-9
                     haskell-servant            0.12.1-14            0.12.1-15
              haskell-servant-server              0.12-46              0.12-47
             haskell-servant-swagger             1.1.4-36             1.1.4-38
                      haskell-shelly            1.7.0.1-5            1.7.0.1-6
                    haskell-src-exts             1.19.1-5             1.20.1-1
               haskell-src-exts-util            0.2.1.2-5              0.2.2-2
                    haskell-src-meta            0.8.0.2-1            0.8.0.2-2
                       haskell-store           0.4.3.2-54           0.4.3.2-55
                    haskell-swagger2               2.2-24               2.2-25
         haskell-tamarin-prover-term             1.2.2-10             1.2.2-11
       haskell-tamarin-prover-theory             1.2.2-17             1.2.2-18
        haskell-tamarin-prover-utils              1.2.2-7              1.2.2-8
              haskell-tasty-hedgehog            0.1.0.2-1            0.1.0.2-2
                 haskell-tasty-rerun              1.1.9-9             1.1.9-10
                    haskell-tasty-th              0.1.7-6              0.1.7-7
                    haskell-trifecta           1.7.1.1-35           1.7.1.1-36
                      haskell-turtle              1.5.2-2              1.5.2-5
            haskell-vector-instances               3.4-38               3.4-39
            haskell-wl-pprint-extras           3.5.0.5-29           3.5.0.5-30
          haskell-wl-pprint-terminfo           3.7.1.4-29           3.7.1.4-30
                      haskell-xcffib             0.5.1-66             0.5.1-68
                       haskell-yesod            1.4.5-186            1.4.5-188
                  haskell-yesod-auth            1.4.21-69            1.4.21-71
                  haskell-yesod-form            1.4.16-81            1.4.16-83
            haskell-yesod-persistent             1.4.3-60             1.4.3-62
                  haskell-yesod-test           1.5.9.1-42           1.5.9.1-44
                             hindent           5.2.4.1-25              5.2.5-1
                             hledger               1.5-21               1.5-22
                         hledger-api               1.5-56               1.5-58
                          hledger-ui               1.5-32               1.5-33
                         hledger-web               1.5-56               1.5-58
                               hlint            2.0.11-25                2.1-1
                              hoogle            5.0.14-58             5.0.16-1
                      hopenpgp-tools            0.19.5-73            0.19.5-74
                               idris             1.2.0-24             1.2.0-25
                           isomd5sum              1.1.0-2              1.2.2-1
                            kmymoney              5.0.0-2              5.0.0-3
                                kodi               17.6-4               17.6-5
                            kodi-dev               17.6-4               17.6-5
                   kodi-eventclients               17.6-4               17.6-5
            kodi-tools-texturepacker               17.6-4               17.6-5
                                 m2r             0.1.12-1             0.1.13-1
                    mate-applet-dock               0.80-1               0.81-1
                                 mpv           1:0.27.1-1           1:0.27.2-1
                              mumble             1.2.19-8             1.2.19-9
                           packer-io              1.1.3-2              1.2.0-1
                            pam-krb5                4.7-1                4.8-1
                  papirus-icon-theme           20180201-1           20180214-1
                perl-exception-class               1.42-3               1.44-1
                           postgrest           0.4.4.0-43           0.4.4.0-46
                              puppet              5.3.4-1              5.3.5-1
                      python-aiohttp             2.3.10-1             2.3.10-2
                        python-boto3             1.5.27-1             1.5.28-1
                     python-botocore             1.8.41-1             1.8.42-1
                    python-isomd5sum              1.1.0-2              1.2.2-1
                   python-jsonpickle              0.9.5-1              0.9.6-1
                  python-progressbar             3.34.3-1             3.35.2-1
                        python-utils              2.2.0-1              2.3.0-1
                   python2-isomd5sum              1.1.0-2              1.2.2-1
                  python2-jsonpickle              0.9.5-1              0.9.6-1
                         python2-m2r             0.1.12-1             0.1.13-1
                 python2-progressbar             3.34.3-1             3.35.2-1
                       python2-utils              2.2.0-1              2.3.0-1
                            snap-pac                1.1-1              2.0.1-1
                               stack             1.6.3-74             1.6.3-76
                     stylish-haskell           0.8.1.0-43            0.9.0.2-1
                           systemtap                3.1-5                    -
                      tamarin-prover             1.2.2-83             1.2.2-84
                            three.js                r89-1                r90-1
                               vault              0.9.1-1              0.9.3-1
                        virt-install              1.4.3-2              1.5.0-1
                        virt-manager              1.4.3-2              1.5.0-1
            haskell-tasty-smallcheck                    -              0.8.1-1
                              merlin                    -              3.0.5-1
                      python-ethtool                    -               0.13-7
                    python-inet_diag                    -              0.2.1-3
                 python-linux-procfs                    -              0.5.1-3
                   python-schedutils                    -                0.6-3
                     python2-ethtool                    -               0.13-7
                   python2-inet_diag                    -              0.2.1-3
                python2-linux-procfs                    -              0.5.1-3
                  python2-schedutils                    -                0.6-3
                                tuna                    -           1:0.13.1-6


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-14           2018-02-15
-------------------------------------------------------------------------------
                            linux316            3.16.53-3            3.16.54-1
                    linux316-headers            3.16.53-3            3.16.54-1
                     manjaro-release             17.1.4-1             17.1.5-1
                      pacman-mirrors              4.7.4-2              4.7.5-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-14           2018-02-15
-------------------------------------------------------------------------------
                           ding-libs              0.6.0-1              0.6.1-1
                            gssproxy              0.6.2-1              0.8.0-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-14           2018-02-15
-------------------------------------------------------------------------------
                        jdk8-openjdk             8.u162-0           8.u162-0.1
                        jre8-openjdk             8.u162-0           8.u162-0.1
               jre8-openjdk-headless             8.u162-0           8.u162-0.1
                  linux316-acpi_call             1.1.0-38             1.1.0-39
                   linux316-bbswitch               0.8-37               0.8-38
                linux316-broadcom-wl      6.30.223.271-17      6.30.223.271-18
                   linux316-catalyst     1:15.201.1151-26     1:15.201.1151-27
                linux316-ndiswrapper              1.61-17              1.61-18
                     linux316-nvidia           1:390.25-1           1:390.25-2
               linux316-nvidia-304xx          1:304.137-8          1:304.137-9
               linux316-nvidia-340xx            340.106-3            340.106-4
                   linux316-nvidiabl              0.88-27              0.88-28
      linux316-open-vm-tools-modules      2:2013.09.16-37      2:2013.09.16-38
                      linux316-r8168           8.045.08-3           8.045.08-4
                  linux316-rt3562sta        2.4.1.1_r4-17        2.4.1.1_r4-18
                        linux316-spl              0.7.5-4              0.7.5-5
                   linux316-tp_smapi              0.41-37              0.41-38
                linux316-vhba-module          20161009-17          20161009-18
   linux316-virtualbox-guest-modules              5.2.6-3              5.2.6-4
    linux316-virtualbox-host-modules              5.2.6-3              5.2.6-4
                        linux316-zfs              0.7.5-4              0.7.5-5
                        openjdk8-doc             8.u162-0           8.u162-0.1
                        openjdk8-src             8.u162-0           8.u162-0.1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-14           2018-02-15
-------------------------------------------------------------------------------
                               bluez               5.48-1               5.48-2
                          bluez-cups               5.48-1               5.48-2
                       bluez-hid2hci               5.48-1               5.48-2
                          bluez-libs               5.48-1               5.48-2
                       bluez-plugins               5.48-1               5.48-2
                         bluez-utils               5.48-1               5.48-2
                            chromium      64.0.3282.140-2      64.0.3282.167-1
                               conky             1.10.7-2             1.10.8-1
                                faac           1.29.7.7-1           1.29.9.2-1
                               faad2              2.8.5-1              2.8.8-1
                             fribidi             0.19.7-2   1.0.1+8+gdf7252b-1
               gtk-update-icon-cache            3.22.27-1            3.22.28-1
                                gtk3            3.22.27-1            3.22.28-1
                            kdenlive            17.12.2-1            17.12.2-2
                               lasem              0.4.3-2              0.4.3-3
                             libcddb              1.3.2-4              1.3.2-5
                              libcue              2.1.0-1              2.2.0-1
                           libdvdnav              5.0.3-1              6.0.0-1
                          libdvdread              5.0.4-1              6.0.0-1
                            libinput              1.9.4-1             1.10.0-1
                           libsmbios  2.3.3+12+g59d5df9-1              2.4.0-1
                           libtheora              1.1.1-3              1.1.1-4
                           libvisual              0.4.0-6              0.4.0-7
                   libvisual-plugins              0.4.0-9             0.4.0-10
                   media-player-info                 22-2                 23-1
                                 mpc               0.29-1               0.29-2
                         perl-libwww               6.26-3               6.31-1
                        python-cairo             1.15.4-1             1.16.2-1
                       python2-cairo             1.15.4-1             1.16.2-1
               system-config-printer              1.5.9-3             1.5.11-2
                              tomboy             1.15.7-1             1.15.9-1
                           uhttpmock              0.5.0-2              0.5.1-1
                            unixodbc              2.3.4-2              2.3.5-1
                               whois             5.2.20-1              5.3.0-1
                              x11vnc           1:0.9.14-4           1:0.9.15-1
                             xine-ui             0.99.9-3            0.99.10-1
                           xorgproto             2018.1-1             2018.2-1

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


Bluetooth headset Pairing works but connection does not
Setting up Bluetooth
#2

Known issues and solutions

This is a wiki post; please edit as necessary.


I get a lot of messages about proto packages will be replaced with* extra/xorgproto.

:: libxfont: removing fontsproto breaks dependency ‘fontsproto>=2.1.3’

sudo pacman -R libxfont

(Edit2: libxfont2 (libxfont does not exist, if it exists then remove it as advised) cannot be removed due to dependencies)
Just answer yes to the prompt(s) about replacements of packages with extra/xorgproto. The installation should continue successfully.


My system won’t boot anymore after this update

Most likely you are using a freetype2 package from the AUR. Due the harfbuzz update, your system is broken. So either install the official supported freetype2 package from our repositories or downgrade to harfbuzz v1.7.4: sudo pacman -U https://archive.archlinux.org/packages/h/harfbuzz/harfbuzz-1.7.4-1-x86_64.pkg.tar.xz

You might try also try Freetype2-ultimate5 — fonts like in Infinality's ultimate5 which is a maintained package.


I get “error: command failed to execute correctly” during a GRUB update

Run sudo update-grub once more to ensure the command has worked correctly.


GNOME shell crashes

It’s probably an issue with an extension which needs to be updated. Disable them in turn until you find the one responsible.

If it’s when inserting USB drives, disable “Places Status Indicator”.


Font-Shadow issue within XFCE

Switch to another theme (e.g. Arc Maia), or execute the following cmd to fix the issue:

xfconf-query -c xfce4-desktop -p /desktop-icons/center-text -n -t bool -s false

This fixes the issue properly. (Can follow the links from Ask-Ubuntu #801478 to what exists for the xfce documentation.)

After the command is run the entry <property name="center-text" type="bool" value="false"/> is created under “desktop-icons” in /home/[user]/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml.


Firefox 58 won’t open

Please check this thread:


I don’t see any updates

That’s because your mirror is out of date. It can take several hours before a mirror get updated. If you want updates right now, run these commands :

sudo pacman-mirrors -f 3
sudo pacman -Syyu

You can always check the state of every mirrors here.


I get a black screen on boot or something doesn’t work

That’s probably because you have a partial set of updated packages. Switch to a text console using CTRL+ALT+F2, log in, then run the commands above.


An AUR package is stopping the update because of a conflict

Remove the AUR package, update, then reinstall the AUR package.


An AUR package says a key is invalid

You need to add the key to your keychain. Do a search of the forum, the answer has already been posted (several times :wink:).



[Unstable Update x32] 2018-03-09, 13
#3

No issues noticed, XFCE kernel 4.14.


#4

No issues.

linux415+zfs+nvidia+cinnamon


#5

No issues, thank’s.

OS: Manjaro 17.1.5 Hakoila, Xfce


#6

Great! Bluez also solved the issue where gnome-shell would claim that no bluetooth devices are connected (mouse for me) after a suspend to ram despit it beeing connected and working!
Good update!


#7

Perfect result… 2 out of 2 stress-free updates in the very brief time since i changed my Lappy [x64 KDE] from Stable to Testing branch. I’ve decided that if the successful updates’ trend continues & reaches 7 / 7, i’ll then have to very seriously consider also changing Tower [= my primary pc] to Testing as well. Tis all very impressive so far.


#8

I know I’m sounding like an arse, but wouldn’t it be time for stable update soon? It’s gonna be huge…

That said, no issues here on any of the latest testing updates.


#9

Yep … :worried:

EDIT :

Still no VLC 3.0, its been flagged in Arch for over a week but nothing.


#10

Did you try mpv? I find it faster and more reliable than vlc. Specifically with MKV.


#11

we already have VLC 3.0.0-rc9 on our systems and it works okay but there is a new point release with a couple of post-release fixes:

Changes between 3.0.0 and 3.0.1:
--------------------------------

Core:
 * Fix user after free when cleaning playlists

Video output:
 * Fix HLG tone mapping on some systems like macOS.
 * Fix screensaver inhibition on Windows XP
 * Fix various direct3d11 crashes
 * Fix HDR tone mapping in Direct3d11

Access:
 * macOS: enable SMB file sharing

Hardware Decoder:
 * macOS: Improve HEVC 10bits performances with Videotoolbox

Demux:
 * Improve MKV seeking speed

#12

Some problem with smplayer, mpv and file opened at dolphin

mpv was compiled against a different version of FFmpeg/Libav than the shared
library it is linked against. This is most likely a broken build and could
result in misbehavior and crashes.
mpv does not support this configuration and will not run - rebuild mpv instead.
Exiting... (Fatal error)
/usr/bin/mpv --no-config --no-quiet --terminal --no-msg-color --input-file=/dev/stdin --no-fs --vd-lavc-threads=2 --hwdec=vaapi --sub-auto=fuzzy --vo=vaapi, --no-input-default-bindings --input-vo-keyboard=no --no-input-cursor --cursor-autohide=no --no-keepaspect --wid=106954771 --monitorpixelaspect=1 --osd-level=1 --osd-scale=1 --osd-bar-align-y=0.6 --sub-ass --embeddedfonts --sub-ass-line-spacing=0 --sub-scale=1 --sub-font=Arial --sub-color=#ffffffff --sub-shadow-color=#ff000000 --sub-border-color=#ff000000 --sub-border-size=0.75 --sub-shadow-offset=2.5 --sub-font-size=50 --sub-bold=no --sub-italic=no --sub-codepage=CP1251 --aid=1 --sub-pos=100 --sub-delay=0.1 --volume=77 --cache=auto --start=6689 --screenshot-template=cap_%F_%p_%02n --screenshot-format=jpg --audio-pitch-correction=yes --volume-max=110 --term-playing-msg=MPV_VERSION=${=mpv-version:}
INFO_VIDEO_WIDTH=${=width}
INFO_VIDEO_HEIGHT=${=height}
INFO_VIDEO_ASPECT=${=video-aspect}
INFO_VIDEO_FPS=${=container-fps:${=fps}}
INFO_VIDEO_FORMAT=${=video-format}
INFO_VIDEO_CODEC=${=video-codec}
INFO_AUDIO_FORMAT=${=audio-codec-name}
INFO_AUDIO_CODEC=${=audio-codec}
INFO_AUDIO_RATE=${=audio-params/samplerate}
INFO_AUDIO_NCH=${=audio-params/channel-count}
INFO_LENGTH=${=duration:${=length}}
INFO_DEMUXER=${=current-demuxer:${=demuxer}}
INFO_SEEKABLE=${=seekable}
INFO_TITLES=${=disc-titles}
INFO_CHAPTERS=${=chapters}
INFO_TRACKS_COUNT=${=track-list/count}
METADATA_TITLE=${metadata/by-key/title:}
METADATA_ARTIST=${metadata/by-key/artist:}
METADATA_ALBUM=${metadata/by-key/album:}
METADATA_GENRE=${metadata/by-key/genre:}
METADATA_DATE=${metadata/by-key/date:}
METADATA_TRACK=${metadata/by-key/track:}
METADATA_COPYRIGHT=${metadata/by-key/copyright:}
INFO_MEDIA_TITLE=${=media-title:}
INFO_STREAM_PATH=${stream-path}
 --audio-client-name=SMPlayer --term-status-msg=STATUS: ${=time-pos} / ${=duration:${=length:0}} P: ${=pause} B: ${=paused-for-cache} I: ${=core-idle} VB: ${=video-bitrate:0} AB: ${=audio-bitrate:0} /mnt/kino.mkv

ffmpeg library versions:
   libavutil       55.78.100 (runtime 56.0.100)
   libavcodec      57.107.100 (runtime 58.1.100)
   libavformat     57.83.100 (runtime 58.0.102)
   libswscale      4.8.100
   libavfilter     6.107.100
   libswresample   2.9.100
ffmpeg version: N-89284-gba4dfad492
mpv was compiled against a different version of FFmpeg/Libav than the shared
library it is linked against. This is most likely a broken build and could
result in misbehavior and crashes.
mpv does not support this configuration and will not run - rebuild mpv instead.
Exiting... (Fatal error)


#13

On my main computer
A. Still present
1. Adding my printer (Canon Pixma MG4120) by automatic detection without workaround;
Another workaround that can be used is to use the Web interface instead of Print Setting (system-config-printer) and be sure you select Gutenprint and not driverless cups-filters. Using driverless will result in an error too : “Unable to add printer : unable to copy PPD file.”

Web interface images

With driverless


web-interface-driverless2
With Gutenprint

Since cups-filters 1.20.0 REALLY seems to be the cause of all this pain, I reported the issue on their Github.

2. Shaky menu in Cinnamon with Adapta theme.

B. New issue

Nothing new so far

Manjaro Cinnamon
Kernel 4.14 (using kernel-alive)
Did the update with Pamac


[Testing Update] 2018-02-28 - Kernels, Mesa, Browser, Haskell, Python
#14

Thanks @philm and manjaro team… my update went good : )

Summary

[manjaro@manjaro-pc ~]$ inxi -FxxN
System: Host: manjaro-pc Kernel: 4.14.19-1-MANJARO x86_64 bits: 64 gcc: 7.3.0
Desktop: KDE Plasma 5.12.1 (Qt 5.10.0) dm: sddm,sddm Distro: Manjaro Linux
Machine: Device: laptop System: Dell product: Inspiron 5459 serial: N/A Chassis: type: 9 serial: N/A
Mobo: Dell model: 0TNRDT v: A00 serial: N/A UEFI [Legacy]: Dell v: 1.2.5 date: 10/06/2016
Battery BAT0: charge: 13.6 Wh 35.0% condition: 38.9/37.3 Wh (104%) volts: 14.8/14.8
model: Panasonic DELL 78V9D6A serial: 3572 status: Discharging
CPU: Dual core Intel Core i5-6200U (-MT-MCP-) arch: Skylake rev.3 cache: 3072 KB
flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 9602
clock speeds: min/max: 400/2800 MHz 1: 500 MHz 2: 500 MHz 3: 500 MHz 4: 500 MHz
Graphics: Card: Intel HD Graphics 520 bus-ID: 00:02.0 chip-ID: 8086:1916
Display Server: x11 (X.Org 1.19.6 ) drivers: intel (unloaded: modesetting)
Resolution: 1366x768@60.00hz
OpenGL: renderer: Mesa DRI Intel HD Graphics 520 (Skylake GT2)
version: 4.5 Mesa 17.3.3 (compat-v: 3.0) Direct Render: Yes
Audio: Card Intel Sunrise Point-LP HD Audio driver: snd_hda_intel bus-ID: 00:1f.3 chip-ID: 8086:9d70
Sound: Advanced Linux Sound Architecture v: k4.14.19-1-MANJARO
Network: Card-1: Intel Wireless 3160 driver: iwlwifi bus-ID: 01:00.0 chip-ID: 8086:08b3
IF: wlp1s0 state: up mac: f4:06:69:ac:99:73
Card-2: Realtek RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller
driver: r8169 v: 2.3LK-NAPI port: e000 bus-ID: 02:00.0 chip-ID: 10ec:8136
IF: enp2s0 state: down mac: 18:db:f2:4f:b3:b5
Drives: HDD Total Size: 480.1GB (4.8% used)
ID-1: /dev/sda model: SanDisk_Ultra_II size: 480.1GB serial: 173040421585
Partition: ID-1: / size: 431G used: 14G (4%) fs: ext4 dev: /dev/sda1
ID-2: swap-1 size: 9.07GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
Sensors: System Temperatures: cpu: 38.0C mobo: 27.8C
Fan Speeds (in rpm): cpu: N/A
Info: Processes: 168 Uptime: 3 min Memory: 1020.4/3650.6MB Init: systemd v: 237 Gcc sys: 7.3.0
Client: Shell (bash 4.4.181 running in yakuake) inxi: 2.3.56
[manjaro@manjaro-pc ~]$


#15

After 18 months in Stable, have just made the jump to Testing. All good !!! (KDE edition, CLI update).


#16

I am now on Stable with Nvidia driver 384.11 which runs well.
This afternoon I made the step to Testing which gave me 390.25 as driver. I could see the mouse make jumps instead of moving smooth over the screen.
I would like to use Testing again, but not with the given Nvidia driver 390.25. Is that possible and when yes, how to do that?


#17

My mpv 1:0.27.2-1 shows:

ffmpeg library versions:
   libavutil       55.78.100
   libavcodec      57.107.100
   libavformat     57.83.100
   libswscale      4.8.100
   libavfilter     6.107.100
   libswresample   2.9.100
ffmpeg version: 3.4.2

… and is working just fine.

Seems to me that your ffmpeg version is not from Manjaro Testing


#18

That appears to be a version compiled from sources, perhaps ffmpeg-git? If so, switch it back to the repo package and try again.


#19

After running the system a few hours - coming before from the stable branch - I have found only one issue : my external drives are no more active when mounted at boot or when plugged. They were before.
Not a big issue as I see them in the Device Manager panel (KDE) and clicking on them will let me use them. But it’s an extra step which was not needed before.
In the settings removable devices are marked as automount… Any suggestion ?


#20

thankyou. Just reboot and all work :slight_smile: